Devuan bug report logs - #744
Error: "it looks like wine32 is missing" but then cannot install wine32

Package: wine; Maintainer for wine is (unknown); Source for wine is src:wine.

Reported by: Alex Kemp <modem.help.co.uk@gmail.com>

Date: Fri, 24 Feb 2023 16:14:01 UTC

Severity: grave

Tags: moreinfo, unreproducible

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#744; Package wine. (Fri, 24 Feb 2023 16:14:02 GMT) (full text, mbox, link).


Acknowledgement sent to Alex Kemp <modem.help.co.uk@gmail.com>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Fri, 24 Feb 2023 16:14:06 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Alex Kemp <modem.help.co.uk@gmail.com>
To: submit@bugs.devuan.org
Subject: Error: "it looks like wine32 is missing" but then cannot install wine32
Date: Fri, 24 Feb 2023 16:12:23 +0000
[Message part 1 (text/plain, inline)]
Package: wine
Version: 5.0.3-3
Severity: grave

 * Attempting to use wine with a 32-bit windows package advises that I
   need to install wine32.
 * Then attempting to install wine32 fails with "Some packages could
   not be installed".

Windows package: EaseUS Chrome Cache Viewer 
<https://www.easeus.com/file-recovery/recover-cache-files-in-google-chrome.html>.
Forum post: dev1galaxy forum report
<https://dev1galaxy.org/viewtopic.php?id=5577>

This is the terminal attempt to use wine with the EaseUS exe file:

|$ wine ChromeCacheView.exe -folder ~/.cache/chromium/Default/Cache||
||it looks like wine32 is missing, you should install it.||
||as root, please execute "apt-get install wine32"||
||it looks like wine32 is missing, you should install it.||
||as root, please execute "apt-get install wine32"||
||002b:err:module:__wine_process_init 
L"Z:\\home\\alexk\\Personal\\ChromeCache\\ChromeCacheView.exe" not 
supported on this system|

Next, the terminal result of attempting to install wine32:

|$ sudo apt-get install wine32||
||[sudo] password for alexk: ||
||Reading package lists... Done||
||Building dependency tree... Done||
||Reading state information... Done||
||Some packages could not be installed. This may mean that you have||
||requested an impossible situation or if you are using the unstable||
||distribution that some required packages have not yet been created||
||or been moved out of Incoming.||
||The following information may help to resolve the situation:||
||
||The following packages have unmet dependencies:||
|| libcurl4:i386 : Depends: libldap-2.4-2:i386 (>= 2.4.7) but it is not 
going to be installed||
|| libvkd3d1:i386 : Depends: libvulkan1:i386 (>= 1.1.70) but it is not 
going to be installed||
|| libwine:i386 : Depends: libldap-2.4-2:i386 (>= 2.4.7) but it is not 
going to be installed||
||                Recommends: libgl1:i386 but it is not installable||
||                Recommends: libglu1-mesa:i386 but it is not 
installable or||
||                            libglu1:i386||
||                Recommends: libsane1:i386 (>= 1.0.27) but it is not 
installable||
||                Recommends: libvulkan1:i386 (>= 1.2.131.2) but it is 
not going to be installed||
||                Recommends: libgl1-mesa-dri:i386 but it is not 
installable||
||E: Unable to correct problems, you have held broken packages.|

(I checked: there were & are zero broken packages)

Now the system info + sources.list (system is fully updated daily):

|$ uname -a||
||Linux ng3 6.0.0-0.deb11.6-amd64 #1 SMP PREEMPT_DYNAMIC Debian 
6.0.12-1~bpo11+1 (2022-12-19) x86_64 GNU/Linux||
||$ lsb_release -a||
||No LSB modules are available.||
||Distributor ID:    Devuan||
||Description:    Devuan GNU/Linux 4 (chimaera)||
||Release:    4||
||Codename:    chimaera||
||$ grep -h ^deb /etc/apt/sources.list /etc/apt/sources.list.d/*||
||deb http://deb.devuan.org/merged chimaera main non-free contrib||
||deb http://deb.devuan.org/merged chimaera-security main non-free contrib||
||deb http://deb.devuan.org/merged chimaera-updates main non-free contrib||
||deb http://deb.devuan.org/merged chimaera-proposed-updates main 
non-free contrib||
||deb http://deb.devuan.org/merged chimaera-backports main non-free 
contrib||
||deb https://josm.openstreetmap.de/apt/ alldist universe |

- Alex Kemp
[Message part 2 (text/html, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#744; Package wine. (Sat, 25 Feb 2023 19:34:02 GMT) (full text, mbox, link).


Message #8 received at 744@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Alex Kemp <modem.help.co.uk@gmail.com>, 744@bugs.devuan.org
Subject: Re: bug#744: Error: "it looks like wine32 is missing" but then cannot install wine32
Date: Sat, 25 Feb 2023 19:32:17 +0000
Control: tags -1 moreinfo

Alex,

On Fri, Feb 24, 2023 at 04:12:23PM +0000, Alex Kemp wrote:
>    Package: wine
>    Version: 5.0.3-3

In principle, wine is not a forked package in Devuan and we use Debian's
packages dirctly without recompilation. So bugs should be reported to Debian's
BTS.

However, before you do that, can you first check this isn't just a multi-arch
configuration error.[1]

>    $ uname -a
>    Linux ng3 6.0.0-0.deb11.6-amd64 #1 SMP PREEMPT_DYNAMIC Debian
>    6.0.12-1~bpo11+1 (2022-12-19) x86_64 GNU/Linux

As you are running a 64bit  system, to install 32bit binaries you need to enable
i386. Have you? What does

 dpkg --print-foreign-architectures

produce?

Mark

[1]  https://wiki.debian.org/Multiarch/HOWTO


Added tag(s) moreinfo. Request was from Mark Hindley <mark@hindley.org.uk> to 744-submit@bugs.devuan.org. (Sat, 25 Feb 2023 19:34:06 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#744; Package wine. (Sun, 26 Feb 2023 09:56:01 GMT) (full text, mbox, link).


Acknowledgement sent to Alex Kemp <modem.help.co.uk@gmail.com>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Sun, 26 Feb 2023 09:56:10 GMT) (full text, mbox, link).


Message #15 received at 744@bugs.devuan.org (full text, mbox, reply):

From: Alex Kemp <modem.help.co.uk@gmail.com>
To: Mark Hindley <mark@hindley.org.uk>, 744@bugs.devuan.org
Subject: Re: bug#744: Error: "it looks like wine32 is missing" but then cannot install wine32
Date: Sun, 26 Feb 2023 09:52:56 +0000
[Message part 1 (text/plain, inline)]
|$ dpkg --print-foreign-architectures||
||i386|

That was installed *before* the attempts made & displayed here to 
install wine32. See the Dev1 forum thread for more details.

-AK
[Message part 2 (text/html, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#744; Package wine. (Mon, 27 Feb 2023 09:46:20 GMT) (full text, mbox, link).


Message #18 received at 744@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Alex Kemp <modem.help.co.uk@gmail.com>, 744@bugs.devuan.org
Subject: Re: bug#744: Error: "it looks like wine32 is missing" but then cannot install wine32
Date: Mon, 27 Feb 2023 09:44:33 +0000
[Message part 1 (text/plain, inline)]
Control: tags -1 unreproducible

Alex,

I cannot reproduce this on a vanilla chimaera. (see attached).

On Fri, Feb 24, 2023 at 04:12:23PM +0000, Alex Kemp wrote:
>    Codename:    chimaera
>    $ grep -h ^deb /etc/apt/sources.list /etc/apt/sources.list.d/*
>    deb http://deb.devuan.org/merged chimaera main non-free contrib
>    deb http://deb.devuan.org/merged chimaera-security main non-free
>    contrib
>    deb http://deb.devuan.org/merged chimaera-updates main non-free contrib
>    deb http://deb.devuan.org/merged chimaera-proposed-updates main
>    non-free contrib
>    deb http://deb.devuan.org/merged chimaera-backports main non-free
>    contrib
>    deb https://josm.openstreetmap.de/apt/ alldist universe

You have backports enabled. That makes it relatively easy to install combinations
of package versions which apt needs help resolving.

What does

 apt-cache policy libldap-2.4-2:i386 libvulkan1:i386

produce?

You will probably have to specify a solution explicitly which may include a
package downgrade. Or try the apt-get --allow-downgrades option.

Mark
[744_success.log (text/plain, attachment)]

Added tag(s) unreproducible. Request was from Mark Hindley <mark@hindley.org.uk> to 744-submit@bugs.devuan.org. (Mon, 27 Feb 2023 09:46:26 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#744; Package wine. (Mon, 27 Feb 2023 12:22:01 GMT) (full text, mbox, link).


Acknowledgement sent to Alex Kemp <modem.help.co.uk@gmail.com>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Mon, 27 Feb 2023 12:22:07 GMT) (full text, mbox, link).


Message #25 received at 744@bugs.devuan.org (full text, mbox, reply):

From: Alex Kemp <modem.help.co.uk@gmail.com>
To: Mark Hindley <mark@hindley.org.uk>, 744@bugs.devuan.org
Subject: Re: bug#744: Error: "it looks like wine32 is missing" but then cannot install wine32
Date: Mon, 27 Feb 2023 12:20:56 +0000
[Message part 1 (text/plain, inline)]
@Mark Hindley:

What does

 apt-cache policy libldap-2.4-2:i386 libvulkan1:i386

produce?

|$ apt-cache policy libldap-2.4-2:i386 libvulkan1:i386||
||libldap-2.4-2:i386:||
||  Installed: (none)||
||  Candidate: 2.4.57+dfsg-3+deb11u1||
||  Version table:||
||     2.4.59+dfsg-1~bpo11+1 100||
||        100 http://deb.devuan.org/merged chimaera-backports/main i386 
Packages||
||     2.4.57+dfsg-3+deb11u1 500||
||        500 http://deb.devuan.org/merged chimaera/main i386 Packages||
||        500 http://deb.devuan.org/merged chimaera-security/main i386 
Packages||
||libvulkan1:i386:||
||  Installed: (none)||
||  Candidate: 1.2.162.0-1||
||  Version table:||
||     1.3.224.0-1~bpo11+1 100||
||        100 http://deb.devuan.org/merged chimaera-backports/main i386 
Packages||
||     1.2.162.0-1 500||
||        500 http://deb.devuan.org/merged chimaera/main i386 Packages|

- AK
[Message part 2 (text/html, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#744; Package wine. (Mon, 27 Feb 2023 12:56:01 GMT) (full text, mbox, link).


Acknowledgement sent to Alex Kemp <modem.help.co.uk@gmail.com>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Mon, 27 Feb 2023 12:56:04 GMT) (full text, mbox, link).


Message #30 received at 744@bugs.devuan.org (full text, mbox, reply):

From: Alex Kemp <modem.help.co.uk@gmail.com>
To: Mark Hindley <mark@hindley.org.uk>, 744@bugs.devuan.org
Subject: Re: bug#744: Error: "it looks like wine32 is missing" but then cannot install wine32
Date: Mon, 27 Feb 2023 12:54:09 +0000
[Message part 1 (text/plain, inline)]
On 27/02/2023 09:44, Mark Hindley wrote:
> I cannot reproduce this on a vanilla chimaera. (see attached).

Looking at the policy for wine I notice that i have 5.0.3-3 installed & 
yet 7.0 is available in backports. I update each day, yet it has never 
been updated. I take it that the errors I received with wine32 are also 
the reason for that?

In respect of wine32, would it make a difference if I was able to 
install same-version of that?

|$ apt-cache policy wine wine32||
||wine:||
||  Installed: 5.0.3-3||
||  Candidate: 5.0.3-3||
||  Version table:||
||     7.0~repack-10~bpo11+1 100||
||        100 http://deb.devuan.org/merged chimaera-backports/main amd64 
Packages||
||        100 http://deb.devuan.org/merged chimaera-backports/main i386 
Packages||
|| *** 5.0.3-3 500||
||        500 http://deb.devuan.org/merged chimaera/main amd64 Packages||
||        500 http://deb.devuan.org/merged chimaera/main i386 Packages||
||        100 /var/lib/dpkg/status||
||wine32:i386:||
||  Installed: (none)||
||  Candidate: 5.0.3-3||
||  Version table:||
||     7.0~repack-10~bpo11+1 100||
||        100 http://deb.devuan.org/merged chimaera-backports/main i386 
Packages||
||     5.0.3-3 500||
||        500 http://deb.devuan.org/merged chimaera/main i386 Packages|
[Message part 2 (text/html, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#744; Package wine. (Mon, 27 Feb 2023 16:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Mon, 27 Feb 2023 16:48:03 GMT) (full text, mbox, link).


Message #35 received at 744@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Alex Kemp <modem.help.co.uk@gmail.com>
Cc: 744@bugs.devuan.org
Subject: Re: bug#744: Error: "it looks like wine32 is missing" but then cannot install wine32
Date: Mon, 27 Feb 2023 16:45:25 +0000
On Mon, Feb 27, 2023 at 12:54:09PM +0000, Alex Kemp wrote:
>    On 27/02/2023 09:44, Mark Hindley wrote:
> 
> I cannot reproduce this on a vanilla chimaera. (see attached).
> 
>    Looking at the policy for wine I notice that i have 5.0.3-3 installed &
>    yet 7.0 is available in backports. I update each day, yet it has never
>    been updated. I take it that the errors I received with wine32 are also
>    the reason for that?

No, packages from backports are never introduced unless specifically
requested. That is why the plain chimaera packages have a higher priority (500 >
100).

Unless you specifically need the newer version of wine, I would avoid that as it
is likely to compound your version mismatches.

Mark

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#744; Package wine. (Mon, 27 Feb 2023 16:48:09 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Mon, 27 Feb 2023 16:48:10 GMT) (full text, mbox, link).


Message #40 received at 744@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Alex Kemp <modem.help.co.uk@gmail.com>
Cc: 744@bugs.devuan.org
Subject: Re: bug#744: Error: "it looks like wine32 is missing" but then cannot install wine32
Date: Mon, 27 Feb 2023 16:45:49 +0000
Alex,

On Mon, Feb 27, 2023 at 12:20:56PM +0000, Alex Kemp wrote:
> What does
> 
>  apt-cache policy libldap-2.4-2:i386 libvulkan1:i386
> 
> produce?
> 
>    $ apt-cache policy libldap-2.4-2:i386 libvulkan1:i386
>    libldap-2.4-2:i386:
>      Installed: (none)
>      Candidate: 2.4.57+dfsg-3+deb11u1
>      Version table:
>         2.4.59+dfsg-1~bpo11+1 100
>            100 http://deb.devuan.org/merged chimaera-backports/main i386
>    Packages
>         2.4.57+dfsg-3+deb11u1 500
>            500 http://deb.devuan.org/merged chimaera/main i386 Packages
>            500 http://deb.devuan.org/merged chimaera-security/main i386
>    Packages
>    libvulkan1:i386:
>      Installed: (none)
>      Candidate: 1.2.162.0-1
>      Version table:
>         1.3.224.0-1~bpo11+1 100
>            100 http://deb.devuan.org/merged chimaera-backports/main i386
>    Packages
>         1.2.162.0-1 500
>            500 http://deb.devuan.org/merged chimaera/main i386

OK, so now try to install libldap-2.4-2:i386

If it works then try to install wine32. If not use

 -o Debug::pkgProblemResolver=yes

if it is not obvious why it won't install.

The option

 --allow-downgrades

may also help.

I don't think there is a bug here. I think you ahve just got into a corner with
some backports packages installed and apt needs help to find a solution.

Mark

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#744; Package wine. (Thu, 02 Mar 2023 13:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Alex Kemp <modem.help.co.uk@gmail.com>:
Extra info received and forwarded to list. Copy sent to devuan-dev@lists.dyne.org. (Thu, 02 Mar 2023 13:48:08 GMT) (full text, mbox, link).


Message #45 received at 744@bugs.devuan.org (full text, mbox, reply):

From: Alex Kemp <modem.help.co.uk@gmail.com>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 744@bugs.devuan.org
Subject: Re: bug#744: Error: "it looks like wine32 is missing" but then cannot install wine32
Date: Thu, 2 Mar 2023 13:46:19 +0000
Thanks for your expert direction so far, Mark, but I am abandoning wine 
at this point, and have removed all traces from my system. I took a look 
at the staggeringly-large list of :i386 packages that were required to 
support wine32 & decided "no thanks".

On 27/02/2023 16:45, Mark Hindley wrote:
> Alex,
>
> On Mon, Feb 27, 2023 at 12:20:56PM +0000, Alex Kemp wrote:
>> What does
>>
>>   apt-cache policy libldap-2.4-2:i386 libvulkan1:i386
>>
>> produce?
>>
>>     $ apt-cache policy libldap-2.4-2:i386 libvulkan1:i386
>>     libldap-2.4-2:i386:
>>       Installed: (none)
>>       Candidate: 2.4.57+dfsg-3+deb11u1
>>       Version table:
>>          2.4.59+dfsg-1~bpo11+1 100
>>             100 http://deb.devuan.org/merged chimaera-backports/main i386
>>     Packages
>>          2.4.57+dfsg-3+deb11u1 500
>>             500 http://deb.devuan.org/merged chimaera/main i386 Packages
>>             500 http://deb.devuan.org/merged chimaera-security/main i386
>>     Packages
>>     libvulkan1:i386:
>>       Installed: (none)
>>       Candidate: 1.2.162.0-1
>>       Version table:
>>          1.3.224.0-1~bpo11+1 100
>>             100 http://deb.devuan.org/merged chimaera-backports/main i386
>>     Packages
>>          1.2.162.0-1 500
>>             500 http://deb.devuan.org/merged chimaera/main i386
> OK, so now try to install libldap-2.4-2:i386
>
> If it works then try to install wine32. If not use
>
>   -o Debug::pkgProblemResolver=yes
>
> if it is not obvious why it won't install.
>
> The option
>
>   --allow-downgrades
>
> may also help.
>
> I don't think there is a bug here. I think you ahve just got into a corner with
> some backports packages installed and apt needs help to find a solution.
>
> Mark

Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Thu, 02 Mar 2023 15:10:01 GMT) (full text, mbox, link).


Notification sent to Alex Kemp <modem.help.co.uk@gmail.com>:
bug acknowledged by developer. (Thu, 02 Mar 2023 15:10:03 GMT) (full text, mbox, link).


Message #50 received at 744-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Alex Kemp <modem.help.co.uk@gmail.com>
Cc: 744-done@bugs.devuan.org
Subject: Re: bug#744: Error: "it looks like wine32 is missing" but then cannot install wine32
Date: Thu, 2 Mar 2023 15:08:27 +0000
Alex,

On Thu, Mar 02, 2023 at 01:46:19PM +0000, Alex Kemp wrote:
> Thanks for your expert direction so far, Mark, but I am abandoning wine at
> this point, and have removed all traces from my system. I took a look at the
> staggeringly-large list of :i386 packages that were required to support
> wine32 & decided "no thanks".

OK, thanks for this. I will close the report as I don't think there is a bug as
such, just a backports version combination that needed to be worked around.

Mark

No longer marked as found in versions 5.0.3-3. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Mon, 06 Mar 2023 10:38:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri May 24 06:14:54 2024;